Community
(defun C:test_Inventor (/
*ACTIVEIDC*
*INVENTAPP*
*INVENTDCS*
)
(vl-load-com)
(if (setq
*InventApp*
(vlax-get-or-create-object "Inventor.Application")
) ;_ end of setq
(progn
(if (= :vlax-false (vlax-get-property *InventApp* 'Visible))
(vlax-put-property *InventApp* 'Visible :vlax-true)
) ;_ end of if
(vlax-put-property *InventApp* 'SilentOperation :vlax-true)
(setq
*InventDcs*
(vlax-get-property *InventApp* 'Documents)
) ;_ end of setq
(setq *ActiveIDc*
(vlax-invoke-method
*InventDcs* 'Add 12290 "" :vlax-true) ;_ end of vlax-invoke-method
;_ end of vlax-invoke-method
) ;_ end of setq
(alert (strcat "\nInventor.Application: name Document " (vlax-get-property *ActiveIDc* 'displayName))
) ;_ end of alert
) ;_ end of progn
) ;_ end of if
;_ end of if
(princ)
) ;_ end of defun
;|«Visual LISP© Format Options»
(72 2 50 2 T "end of " 60 9 1 0 0 nil T nil T)
;*** DO NOT add text below the comment! ***|;
(defun C:test_Inventor (/
*ACTIVEIDC*
*INVENTAPP*
*INVENTDCS*
)
(vl-load-com)
(if (setq
*InventApp*
(vlax-get-or-create-object "Inventor.Application")
) ;_ end of setq
(progn
(if (= :vlax-false (vlax-get-property *InventApp* 'Visible))
(vlax-put-property *InventApp* 'Visible :vlax-true)
) ;_ end of if
(vlax-put-property *InventApp* 'SilentOperation :vlax-true)
(setq
*InventDcs*
(vlax-get-property *InventApp* 'Documents)
) ;_ end of setq
(setq *ActiveIDc*
(vlax-invoke-method
*InventDcs* 'Add 12290 "" :vlax-true) ;_ end of vlax-invoke-method
;_ end of vlax-invoke-method
) ;_ end of setq
(alert (strcat "\nInventor.Application: name Document " (vlax-get-property *ActiveIDc* 'displayName))
) ;_ end of alert
) ;_ end of progn
) ;_ end of if
;_ end of if
(princ)
) ;_ end of defun
;|«Visual LISP© Format Options»
(72 2 50 2 T "end of " 60 9 1 0 0 nil T nil T)
;*** DO NOT add text below the comment! ***|;
Can't find what you're looking for? Ask the community or share your knowledge.